## EMailPartAttachment EMailPartAttachment |

## Functions

EMailPartAttachment * | e_mail_part_attachment_new ()
EAttachment * | e_mail_part_attachment_ref_attachment ()
void | e_mail_part_attachment_set_expandable ()
gboolean | e_mail_part_attachment_get_expandable ()

## Types and Values

#define | E_MAIL_PART_ATTACHMENT_MIME_TYPE

## Description

## Functions

### e_mail_part_attachment_new ()

    EMailPartAttachment *
    e_mail_part_attachment_new (CamelMimePart *mime_part,
                                const gchar *id);

`e_mail_part_attachment_new` is deprecated and should not be used in newly-written code.

### e_mail_part_attachment_ref_attachment ()

    EAttachment *
    e_mail_part_attachment_ref_attachment (EMailPartAttachment *part);

`e_mail_part_attachment_ref_attachment` is deprecated and should not be used in newly-written code.

### e_mail_part_attachment_set_expandable ()

    void
    e_mail_part_attachment_set_expandable (EMailPartAttachment *part,
                                           gboolean expandable);

`e_mail_part_attachment_set_expandable` is deprecated and should not be used in newly-written code.

### e_mail_part_attachment_get_expandable ()

    gboolean
    e_mail_part_attachment_get_expandable (EMailPartAttachment *part);

`e_mail_part_attachment_get_expandable` is deprecated and should not be used in newly-written code.

## Types and Values

### E_MAIL_PART_ATTACHMENT_MIME_TYPE

    #define             E_MAIL_PART_ATTACHMENT_MIME_TYPE

`E_MAIL_PART_ATTACHMENT_MIME_TYPE` is deprecated and should not be used in newly-written code.